Bug 1082656 - Review Request: python-diff-cover - Automatically find diff lines that need test coverage
Summary: Review Request: python-diff-cover - Automatically find diff lines that need t...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1117483
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-31 14:59 UTC by David Shea
Modified: 2014-08-30 03:57 UTC (History)
2 users (show)

Fixed In Version: python-diff-cover-0.6.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-30 03:57:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jujens: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Shea 2014-03-31 14:59:36 UTC
Spec URL: http://dshea.fedorapeople.org/python-diff-cover/v1/python-diff-cover.spec
SRPM URL: http://dshea.fedorapeople.org/python-diff-cover/v1/python-diff-cover-0.2.9-1.fc20.src.rpm

Description:
Diff coverage is the percentage of new or modified lines that are covered by
tests.  This provides a clear and achievable standard for code review: If you
touch a line of code, that line should be covered.  Code coverage is *every*
developer's responsibility!

The diff-cover command line tool compares an XML coverage report with the
output of git diff.  It then reports coverage information for lines in the
diff.

Fedora Account System Username: dshea

Comment 7 David Shea 2014-07-21 20:40:22 UTC
I guess it would help if I actually cleaned up the dependencies instead of just talking about it in the changelog.

Spec URL: http://dshea.fedorapeople.org/python-diff-cover/0.5.7-2/python-diff-cover.spec
SRPM URL: http://dshea.fedorapeople.org/python-diff-cover/0.5.7-2/python-diff-cover-0.5.7-2.fc22.src.rpm

Comment 8 David Shea 2014-08-01 17:14:22 UTC
New upstream version, and fixed a missing requires in the python3 package.

Spec URL: https://dshea.fedorapeople.org/python-diff-cover/0.6.0-1/python-diff-cover.spec
SRPM URL: https://dshea.fedorapeople.org/python-diff-cover/0.6.0-1/python-diff-cover-0.6.0-1.fc21.src.rpm

Comment 9 Julien Enselme 2014-08-18 17:19:36 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 11 files have unknown license. Detailed output of
     licensecheck in /run/media/jenselme/Data/1082656-python-diff-
     cover/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 6 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -diff-cover
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-diff-cover-0.6.0-1.fc20.noarch.rpm
          python3-diff-cover-0.6.0-1.fc20.noarch.rpm
          python-diff-cover-0.6.0-1.fc20.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-diff-cover python3-diff-cover
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-diff-cover (rpmlib, GLIBC filtered):
    /usr/bin/python2
    git
    python(abi)
    python-jinja2
    python-jinja2_pluralize
    python-lazy
    python-pygments
    python-setuptools
    python-six

python3-diff-cover (rpmlib, GLIBC filtered):
    git
    python(abi)
    python3-jinja2
    python3-jinja2_pluralize
    python3-lazy
    python3-pygments
    python3-six



Provides
--------
python-diff-cover:
    python-diff-cover

python3-diff-cover:
    python3-diff-cover



Source checksums
----------------
https://pypi.python.org/packages/source/d/diff_cover/diff_cover-0.6.0.tar.gz :
  CHECKSUM(SHA256) this package     : 4f9f960a62cfd3300b25f51fd4df3549fbc87dd8c4a7d8bc23dff5f8c31849b3
  CHECKSUM(SHA256) upstream package : 4f9f960a62cfd3300b25f51fd4df3549fbc87dd8c4a7d8bc23dff5f8c31849b3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1082656
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 10 David Shea 2014-08-18 17:47:50 UTC
Ok? So now what?

Comment 11 Julien Enselme 2014-08-18 18:01:45 UTC
[!]: %check is present and all tests pass. => Please add the %check section.

Comment 12 David Shea 2014-08-18 18:27:29 UTC
There are no tests. Or rather, there are no tests in the source distribution. The tests in git only make sense when run against a git tree.

Comment 13 Julien Enselme 2014-08-18 19:05:44 UTC
Didn't notice that. Sorry.

Approved!

Comment 14 David Shea 2014-08-18 19:11:13 UTC
New Package SCM Request
=======================
Package Name: python-diff-cover
Short Description: Automatically find diff lines that need test coverage
Upstream URL: https://pypi.python.org/pypi/diff_cover
Owners: dshea
Branches: f20 f21
InitialCC:

Comment 15 Gwyn Ciesla 2014-08-19 11:49:06 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2014-08-19 14:10:48 UTC
python-diff-cover-0.6.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-diff-cover-0.6.0-1.fc20

Comment 17 Fedora Update System 2014-08-21 09:43:17 UTC
python-diff-cover-0.6.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 18 Fedora Update System 2014-08-30 03:57:51 UTC
python-diff-cover-0.6.0-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.